Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.usermodel
Class HSSFCreationHelper

    java.lang.Object
      org.apache.poi.hssf.usermodel.HSSFCreationHelper

All Implemented Interfaces:
  CreationHelper

    public class HSSFCreationHelper

extends java.lang.Object
implements CreationHelper

Method Summary
`ClientAnchor` | `createClientAnchor()` Creates a HSSFClientAnchor.
`DataFormat` | `createDataFormat()` Creates a new DataFormat instance
`FormulaEvaluator` | `createFormulaEvaluator()` Creates a HSSFFormulaEvaluator, the object that evaluates formula cells.
`Hyperlink` | `createHyperlink(int type)` Creates a new Hyperlink, of the given type
`RichTextString` | `createRichTextString(java.lang.String text)` Creates a new RichTextString instance

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createRichTextString

    public RichTextString createRichTextString(java.lang.String text)

  Description copied from interface: `CreationHelper`
  Creates a new RichTextString instance

  Specified by:
    `createRichTextString` in interface `CreationHelper`
  Parameters:
    `text` - The text to initialise the RichTextString with

### createDataFormat

    public DataFormat createDataFormat()

  Description copied from interface: `CreationHelper`
  Creates a new DataFormat instance

  Specified by:
    `createDataFormat` in interface `CreationHelper`

### createHyperlink

    public Hyperlink createHyperlink(int type)

  Description copied from interface: `CreationHelper`
  Creates a new Hyperlink, of the given type

  Specified by:
    `createHyperlink` in interface `CreationHelper`

### createFormulaEvaluator

    public FormulaEvaluator createFormulaEvaluator()

  Creates a HSSFFormulaEvaluator, the object that evaluates formula cells.

  Specified by:
    `createFormulaEvaluator` in interface `CreationHelper`
  Returns:
    a HSSFFormulaEvaluator instance

### createClientAnchor

    public ClientAnchor createClientAnchor()

  Creates a HSSFClientAnchor. Use this object to position drawing object in a sheet

  Specified by:
    `createClientAnchor` in interface `CreationHelper`
  Returns:
    a HSSFClientAnchor instance
  See Also:
    `Drawing`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD